org.activiti.engine.cfg

## Class AbstractProcessEngineConfigurator

- java.lang.Object
- - org.activiti.engine.cfg.AbstractProcessEngineConfigurator

- All Implemented Interfaces:
    ProcessEngineConfigurator

      public abstract class AbstractProcessEngineConfigurator
      extends Object
      implements ProcessEngineConfigurator

  Author:
    jbarrez

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_CONFIGURATOR_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractProcessEngineConfigurator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeInit(org.activiti.engine.impl.cfg.ProcessEngineConfigurationImpl processEngineConfiguration)` Called before any initialisation has been done.
    `void` | `configure(org.activiti.engine.impl.cfg.ProcessEngineConfigurationImpl processEngineConfiguration)` Called when the engine boots up, before it is usable, but after the initialisation of internal objects is done.
    `int` | `getPriority()` When the `ProcessEngineConfigurator` instances are used, they are first ordered by this priority number (lowest to highest).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CONFIGURATOR_PRIORITY

          public static int DEFAULT_CONFIGURATOR_PRIORITY

  - ### Constructor Detail

    - #### AbstractProcessEngineConfigurator

          public AbstractProcessEngineConfigurator()

  - ### Method Detail

    - #### getPriority

          public int getPriority()

      Description copied from interface: `ProcessEngineConfigurator`
      When the `ProcessEngineConfigurator` instances are used, they are first ordered by this priority number (lowest to highest). If you have dependencies between `ProcessEngineConfigurator` instances, use the priorities accordingly to order them as needed.
      Specified by:
        `getPriority` in interface `ProcessEngineConfigurator`

    - #### beforeInit

          public void beforeInit(org.activiti.engine.impl.cfg.ProcessEngineConfigurationImpl processEngineConfiguration)

      Description copied from interface: `ProcessEngineConfigurator`
      Called before any initialisation has been done. This can for example be useful to change configuration settings before anything that uses those properties is created. Allows to tweak the process engine by passing the `ProcessEngineConfigurationImpl` which allows tweaking it programmatically. An example is the jdbc url. When a `ProcessEngineConfigurator` instance wants to change it, it needs to do it in this method, or otherwise the datasource would already have been created with the 'old' value for the jdbc url.
      Specified by:
        `beforeInit` in interface `ProcessEngineConfigurator`

    - #### configure

          public void configure(org.activiti.engine.impl.cfg.ProcessEngineConfigurationImpl processEngineConfiguration)

      Description copied from interface: `ProcessEngineConfigurator`
      Called when the engine boots up, before it is usable, but after the initialisation of internal objects is done. Allows to tweak the process engine by passing the `ProcessEngineConfigurationImpl` which allows tweaking it programmatically. An example is the ldap user/group manager, which is an addition to the engine. No default properties need to be overridden for this (otherwise the `ProcessEngineConfigurator.beforeInit(ProcessEngineConfigurationImpl)` method should be used) so the logic contained in this method is executed after initialisation of the default objects. Probably a better name would be 'afterInit' (cfr `ProcessEngineConfigurator.beforeInit(ProcessEngineConfigurationImpl)`), but not possible due to backwards compatibility.
      Specified by:
        `configure` in interface `ProcessEngineConfigurator`

Copyright © 2016 Alfresco. All rights reserved.